public sealed class VmExtensionPolicyList : IMessage<VmExtensionPolicyList>, IEquatable<VmExtensionPolicyList>, IDeepCloneable<VmExtensionPolicyList>, IBufferMessage, IMessage, IPageResponse<VmExtensionPolicy>, IEnumerable<VmExtensionPolicy>, IEnumerableImplements
IMessageVmExtensionPolicyList, IEquatableVmExtensionPolicyList, IDeepCloneableVmExtensionPolicyList, IBufferMessage, IMessage, IPageResponseVmExtensionPolicy, IEnumerableVmExtensionPolicy, IEnumerableNamespace
Google.Cloud.Compute.V1Assembly
Google.Cloud.Compute.V1.dll
Constructors
VmExtensionPolicyList()
public VmExtensionPolicyList()VmExtensionPolicyList(VmExtensionPolicyList)
public VmExtensionPolicyList(VmExtensionPolicyList other)| Parameter | |
|---|---|
| Name | Description |
other |
VmExtensionPolicyList |
Properties
Etag
public string Etag { get; set; }Output only. [Output Only] Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a VmExtensionPolicy. An up-to-date fingerprint must be provided in order to update the VmExtensionPolicy.
To see the latest value of the fingerprint, make a get() request to retrieve a VmExtensionPolicy.
| Property Value | |
|---|---|
| Type | Description |
string |
|
HasEtag
public bool HasEtag { get; }Gets whether the "etag" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasId
public bool HasId { get; }Gets whether the "id" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasKind
public bool HasKind { get; }Gets whether the "kind" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasNextPageToken
public bool HasNextPageToken { get; }Gets whether the "next_page_token" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasSelfLink
public bool HasSelfLink { get; }Gets whether the "self_link" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
Id
public string Id { get; set; }Output only. [Output Only] Unique identifier for the resource; defined by the server.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Items
public RepeatedField<VmExtensionPolicy> Items { get; }Output only. [Output Only] A list of VM extension policy resources.
| Property Value | |
|---|---|
| Type | Description |
RepeatedFieldVmExtensionPolicy |
|
Kind
public string Kind { get; set; }Output only. Type of resource.
| Property Value | |
|---|---|
| Type | Description |
string |
|
NextPageToken
public string NextPageToken { get; set; }Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
| Property Value | |
|---|---|
| Type | Description |
string |
|
SelfLink
public string SelfLink { get; set; }Output only. [Output Only] Server-defined URL for this resource.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Unreachables
public RepeatedField<string> Unreachables { get; }Output only. [Output Only] Unreachable resources.
| Property Value | |
|---|---|
| Type | Description |
RepeatedFieldstring |
|
Warning
public Warning Warning { get; set; }Output only. [Output Only] Informational warning message.
| Property Value | |
|---|---|
| Type | Description |
Warning |
|
Methods
GetEnumerator()
public IEnumerator<VmExtensionPolicy> GetEnumerator()Returns an enumerator that iterates through the resources in this response.
| Returns | |
|---|---|
| Type | Description |
IEnumeratorVmExtensionPolicy |
|